
[[_components]]
== Components
[[_components_schemas]]
=== Schemas
[[_components_schemas_user]]
==== User

.Properties
[%header,caption=,cols=".^4a,.^16a,.^4a"]
|===
<.<|Name


<.<|Description


<.<|Schema



<.<|id
__optional__


<.<|
<.<|integer (int64)



<.<|username
__optional__


<.<|
<.<|string



<.<|firstName
__optional__


<.<|
<.<|string



<.<|lastName
__optional__


<.<|
<.<|string



<.<|email
__optional__


<.<|
<.<|string



<.<|password
__optional__


<.<|
<.<|string



<.<|phone
__optional__


<.<|
<.<|string



<.<|userStatus
__optional__


<.<|User Status


<.<|integer (int32)



|===
[[_components_schemas_category]]
==== Category

.Properties
[%header,caption=,cols=".^4a,.^16a,.^4a"]
|===
<.<|Name


<.<|Description


<.<|Schema



<.<|id
__optional__


<.<|
<.<|integer (int64)



<.<|name
__optional__


<.<|The name of the category

**Maximum Length**: 255 +
**Minimum Length**: 0 +
**Default**: DefaultCategory


<.<|string



|===
[[_components_schemas_pet]]
==== Pet

.Properties
[%header,caption=,cols=".^4a,.^16a,.^4a"]
|===
<.<|Name


<.<|Description


<.<|Schema



<.<|id
__optional__


<.<|
<.<|integer (int64)



<.<|category
__optional__


<.<|
<.<|<<_components_schemas_category>>



<.<|name
__required__


<.<|
<.<|string



<.<|photoUrls
__required__


<.<|
<.<|< string > array



<.<|tags
__optional__


<.<|
<.<|< <<_components_schemas_tag>>
 > array



<.<|status
__optional__


<.<|pet status in the store,


<.<|enum (Dead,Alive)



|===
[[_components_schemas_tag]]
==== Tag

.Properties
[%header,caption=,cols=".^4a,.^16a,.^4a"]
|===
<.<|Name


<.<|Description


<.<|Schema



<.<|id
__optional__


<.<|
<.<|integer (int64)



<.<|name
__optional__


<.<|
<.<|string



|===
[[_components_schemas_order]]
==== Order

.Properties
[%header,caption=,cols=".^4a,.^16a,.^4a"]
|===
<.<|Name


<.<|Description


<.<|Schema



<.<|id
__optional__


<.<|
<.<|integer (int64)



<.<|petId
__optional__


<.<|
<.<|integer (int64)



<.<|quantity
__optional__


<.<|**Maximum**: 10000 +
**Minimum**: 0 +
**Default**: 0


<.<|integer (int32)



<.<|shipDate
__optional__


<.<|
<.<|string (date-time)



<.<|status
__optional__


<.<|Order Status


<.<|enum (Ordered,Cancelled)



<.<|complete
__optional__


<.<|
<.<|boolean



|===

[[_components_parameters]]
=== Responses
.Responses
[%header,caption=,cols=".^2a,.^14a,.^4a"]
|===
<.<|Code


<.<|Description


<.<|Links



<.<|InvalidId


<.<|Invalid ID supplied


<.<|No Links



|===

